Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007803TestLinkThird party componentspublic2017-01-04 08:032017-01-22 08:06
ReporterMichielV 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007803: PHPmailer security update
DescriptionPHPmailer have released a security update 28/12/2016 and strongly recommend updating to the latest version.

phpmailer changelog: https://github.com/PHPMailer/PHPMailer/blob/master/changelog.md [^]

How to implement: get phpmailer version 5.2.21 or higher from https://github.com/PHPMailer/PHPMailer [^] and copy to testlink_folder/third_party/phpmailer

With the newer phpmailer version you need a different reference to the phpmailer class: in email_api.php change line 26 from "require_once( PHPMAILER_PATH . 'class.phpmailer.php' );" to "require_once( PHPMAILER_PATH . 'PHPMailerAutoload.php');"
TagsNo tags attached.
Database (MySQL,Postgres,etc)all
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007666closedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025823)
fman (administrator)
2017-01-06 07:33

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/b260666c0898341d5d30ab373977d25d18db397c [^]

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/9f0e35cd1256ca2e4dabda33fbc92a21fb17ea26 [^]
(0025878)
fman (administrator)
2017-01-22 08:06

1.9.16 released

- Issue History
Date Modified Username Field Change
2017-01-04 08:03 MichielV New Issue
2017-01-06 07:33 fman Note Added: 0025823
2017-01-06 07:49 fman QA Team - Task Workflow Status => TBD
2017-01-06 07:49 fman Fixed in Version => 1.9.16 (2016 Q4)
2017-01-06 07:50 fman Relationship added child of 0007666
2017-01-06 07:50 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-01-06 07:50 fman Status new => resolved
2017-01-06 07:50 fman Resolution open => fixed
2017-01-06 07:50 fman Assigned To => fman
2017-01-22 08:06 fman Note Added: 0025878
2017-01-22 08:06 fman Status resolved => closed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker